madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000255madVRbugpublic2015-03-01 07:432015-03-14 16:52
ReporterTheRyuu 
Assigned Tomadshi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSWindowsOS Version8.1 Update 3
Summary0000255: Renderer does not release increased system timer on unload
DescriptionWhen madVR is unloaded without closing mpc-hc it does not release its "hold" on the system timer (tick rate). I admit that this is not a very common use case but nevertheless EVR does release it and it's probably just good practice to do so.

Related doom9 post is here[1]. You recommended I open a ticket[2]. This originally caught my eye because I saw a mpc-hc bug ticket regarding timer resolutions[3] and I couldn't reproduce it with EVR since that does release the higher timer resolution.

[1] http://forum.doom9.org/showthread.php?p=1708359#post1708359 [^]
[2] http://forum.doom9.org/showthread.php?p=1710039#post1710039 [^]
[3] https://trac.mpc-hc.org/ticket/5240 [^]
Steps To ReproduceProbably unneeded but here they are anyway:
1. In mpc-hc open a video file which uses the madvr renderer.
2. After it starts playing go to file -> close.
3. Keep mpc-hc open and measure system timer rate with your favorite measuring program such as clockres from sysinternals.

Expected result is that it should not still be increasing the tick rate (i.e. 15.625ms).
Actual result is that it is still increasing the tick rate (i.e. 0.500ms).

Repeat the same test with EVR-CP and the expected result will match the actual case (15.625ms).
Additional InformationFix is probably trivial since all it probably needs is a call to NtSetTimerResolution with the SetResolution flag set to FALSE.
TagsNo tags attached.
madVR Version0.87.11
Media Player (with version info)mpc-hc 1.7.7.174 (cccp 2014-12-25 beta)
Splitter (with version info)LAVSplitter 0.63.0.0 (cccp 2014-12-25 beta)
Decoder (with version info)LAVVideo 0.63.0.0 (cccp 2014-12-25 beta)
DecodingSoftware
Deinterlacingnone (progressive)
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modeall modes
GPU ManufacturerNVidia
GPU ModelGTX 780 Ti
GPU Driver Version347.52
Attached Files

- Relationships

-  Notes
(0000760)
madshi (administrator)
2015-03-14 16:51

In theory I've fixed this. It's kinda hard to test, though, because the media players all set their own timer resolution, and Windows auto resets it when the process closes. So a lot of parties involved which are all tampering with the timer resolution. At least according to my logs madVR now properly restores the timer resolution.

- Issue History
Date Modified Username Field Change
2015-03-01 07:43 TheRyuu New Issue
2015-03-14 16:51 madshi Note Added: 0000760
2015-03-14 16:52 madshi Status new => closed
2015-03-14 16:52 madshi Assigned To => madshi
2015-03-14 16:52 madshi Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker